Skip to main content
GET
List trailers

Authorizations

Authorization
string
header
required

Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or Authorization: YOUR_API_TOKEN. Each token has individual permissions; a valid token without the permission required by the method and route returns 403 TOKEN_PERMISSION_DENIED.

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:50
Required range: 1 <= x <= 500

Partial text search across the resource's registered safe search fields. Whitespace is trimmed; literal percent and underscore characters are escaped. Search is applied after account, ownership, privilege, and object scope.

Required string length: 2 - 100
order
enum<string>
default:asc
Available options:
asc,
desc
sort
enum<string>
default:trailer_id

Registered field used for sorting.

Available options:
trailer_id,
trailer_name,
trailer_assign_id,
trailer_model,
trailer_vin,
trailer_plate_number,
trailer_desc
trailer_name
string

Exact-match filter for trailer_name.

trailer_assign_id
string

Exact-match filter for trailer_assign_id.

trailer_model
string

Exact-match filter for trailer_model.

trailer_vin
string

Exact-match filter for trailer_vin.

trailer_plate_number
string

Exact-match filter for trailer_plate_number.

trailer_desc
string

Exact-match filter for trailer_desc.

Response

Successful response

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object